<div class='loginContainer'>
    <div class='login-header'>
        <h1>
            <a href='#'><img src='assets/img/logo.svg'></a>
        </h1>
    </div>
    <div class='login-body'>
        <div class='left-section'>
            <p class='title'>Evidență Deșeuri</p>
            <dx-form class='form-box' [(formData)]='userLogin' (onEditorEnterKey)="onEditorEnterKey($event)"
                validationGroup='loginValidation' (onContentReady)='onContentFormReady($event)'>
                <dxi-item [label]="{ visible: false}" dataField="userName" editorType="dxTextBox" [editorOptions]="{ placeholder: 'Adresă e-mail' }">
                    <dxi-validation-rule type='email' message='Adresa de e-mail este invalidă'></dxi-validation-rule>
                    <dxi-validation-rule type="required" message="Adresa de e-mail este obligatorie"></dxi-validation-rule>
                </dxi-item>
                <dxi-item [label]="{ visible: false}" dataField="password" editorType="dxTextBox" [editorOptions]="{ placeholder: 'Parolă', mode: 'password' }">
                    <dxi-validation-rule type="required" message="Parola este obligatorie"></dxi-validation-rule>
                </dxi-item>
            </dx-form>
            <dx-button id='loginBtn' text='Autentificare' class='login-btn' (onClick)='onLogin($event)' validationGroup='loginValidation'></dx-button>
            <a class='register-txt' href='#' (click)='goToRegister(false)'>Creează cont</a>
            <a href='#' (click)='goToRegister(true)'>Ai uitat parola?</a>
        </div>
        <div class='right-section'>
            <h4>Aplicație pentru gestionarea deșeurilor conform legilor în vigoare.</h4>
        </div>
    </div>
    <div class='login-footer'>
        <p class='try-text'>Nu ai cont? <a href='#' (click)='goToRegister(false)'>Încearcă aplicația gratuit</a></p>

        <h4> © Copyright 2014 - 2019 <a href='https://www.dohu.ro'>DoHu Consulting</a>. Toate drepturile rezervate</h4>
        <!-- <p style='text-align:center;font-size: 12px'>v{{appVersion}}</p> -->
    </div>
</div>
